#!/bin/sh

EXE='/usr/local/bin/python3.sh -m pylint'
ROLE=toxcore

PYTHONPATH=$PWD/src/ansible_gentooimgr \
$EXE --recursive y --verbose --py-version 3.11 \
  --output-format colorized --rcfile .pylint.rc \
  -E -f text src/ansible_gentooimgr/gentooimgr/*py  > .pylint.err
retval=$?

PYTHONPATH=$PWD/src/ansible_gentooimgr \
$EXE --recursive y --verbose --py-version 3.11 \
  --output-format colorized --rcfile .pylint.rc \
  src/ansible_gentooimgr/gentooimgr/*py > .pylint.out

sed -e "/Module 'os' has no/d" \
    -e "/No name 'path' in module 'os' /d" \
    -e "/ in module 'os'/d" \
    -e "/.bak\//d" \
	-i .pylint.err .pylint.out
